Bug 127914 - nfslock not running by default in FC3 test 1
Summary: nfslock not running by default in FC3 test 1
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Target FC3BugWeekQA
TreeView+ depends on / blocked
 
Reported: 2004-07-15 10:45 UTC by Joe Orton
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 02:18:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2004-07-15 10:45:47 UTC
nfslock is not running by default on fresh FC3 test 1 install.

the %post looks wrong:

if [ "$1" -ge 1 ]; then
        /etc/rc.d/init.d/rpcidmapd condrestart > /dev/null
...
else
        /sbin/chkconfig --add nfs
        /sbin/chkconfig --add nfslock
...
fi

should be $1 -gt 1 I believe; $1 is 1 for the first install of a
package, $2 during an upgrade.

Comment 1 Bill Nottingham 2004-08-05 18:34:31 UTC
if ["$1" -ge 1 ]; ...

is correct for condrestart, as I recall. However, it's supposed to be
in %postun, not %post.

Comment 2 Bill Nottingham 2004-08-10 19:21:50 UTC
Fixed in -31.

Comment 3 Steve Dickson 2004-08-11 15:15:56 UTC
Make that -32 

Comment 4 Jef Spaleta 2004-09-28 02:18:21 UTC
nfslock runs by default on my fc3t2 system and visual inspection
confirms the change in the script to be in %postun in nfs-utils-1.0.6-34
Closing.

-jef


Note You need to log in before you can comment on or make changes to this bug.